function figplot(dxdy,vfinal_sch,slow,unit,raypath1)

%
% plot velocity models
%
% dxdy:  dx xxmin xxmax zzmin zzmax
% vfinal_sch: final velocity from inversion
% slow:   true velocity
% unit:   unit of the length 'm' or 'ft'
% raypath: raypath distribution from inversion.
% by Min Zhou
%

dx=dxdy(1); xxmin=dxdy(2);xxmax=dxdy(3);zzmin=dxdy(4);zzmax=dxdy(5);
vmin=min(min(min(vfinal_sch)),min(min(slow)));
vmax=max(max(max(vfinal_sch)),max(max(slow)));
slow(1,1)=vmin; slow(1,2)=vmax;
vfinal_sch(1,1)=vmin; vfinal_sch(1,2)=vmax;
%vfinnew(1,1)=vmin; 
%vfinnew(1,2)=vmax;
xx=[xxmin:dx:round((xxmax-xxmin)/dx)*dx];
zz=[zzmin:dx:round((zzmax-zzmin)/dx)*dx];

figure(1)
subplot(2,1,1), imagesc(xx,zz,vfinal_sch);
title(['Reconstructed Model']);
xlabel(['Offset (',unit,')']);
ylabel(['Depth (',unit,')']);
colorbar;
text(xxmax+(xxmax-xxmin)/670*100,zzmin-(zzmax-zzmin)/20,[unit,'/sec']);
subplot(2,1,2), imagesc(xx,zz,slow);
title(['True Model']);
xlabel(['Offset (',unit,')']);
ylabel(['Depth (',unit,')']);
colorbar; 
text(xxmax+(xxmax-xxmin)/670*100,zzmin-(zzmax-zzmin)/20,[unit,'/sec']);
print -dpsc fig1.ps
print -djpeg90 fig1

ss=who('raypath1','exact');
if ~isempty(ss)
figure(2)
subplot(2,1,1), imagesc(xx,zz,slow);
title(['True Velocity Model']);
xlabel(['Offset (',unit,')']);
ylabel(['Depth (',unit,')']);
colorbar; 
text(xxmax+(xxmax-xxmin)/670*100,zzmin-(zzmax-zzmin)/20,[unit,'/sec']);
subplot(2,1,2), imagesc(xx,zz,raypath1);
title(['Raypath For True Model']);
xlabel(['Offset (',unit,')']);
ylabel(['Depth (',unit,')']);
colorbar; 
text(xxmax+(xxmax-xxmin)/670*100,zzmin-(zzmax-zzmin)/20,'Ray #');
print -dpsc fig2.ps
print -djpeg90 fig2
end %if
