%This program loads a pre-created model (using createmodel.m).
%Then it computes the first arrival times for different
%shot positions SP using Mray.m

clear all;
close all;

% load synthetic velocity model here
load ('synmodel4.mat');

% define size of model
[Z X]= size(synmodel4);

% grid spacing
DX = 0.5;

% receiver and source positions in pixels
for ix = 1:X
    for iz = 1:Z
        if synmodel4(iz,ix) > 333 
            elev(ix) = iz;
            break
        end
    end
end

SP(:,2) = [1:1:X]';  %receivers at every grid point
SP(:,1) = elev(SP(:,2))';

GT=zeros(240,240); % pre-locate memory for T at geophones
RP = sub2ind([Z,X],SP(:,1),SP(:,2));  %shot points are at the same position as geophones

SW = 1./synmodel4; % convert velocity model to slowness

disp('Start Forwarding')

for is=1:240
   [T]=Mray(SW,SP(is,:),DX); % send to Mray for calculation
   GT(:,is)=T(RP);  % traveltime matrix "GT" is created here
end

tmp=sparse(GT);  % this creates a .fbp file identical to those created with Vista
save syntime4.fbp tmp -ascii -tabs;

imagesc(GT) % plot the traveltime matrix

disp('Finished.  Traveltimes Saved')

