function mfilter(action)

%
%function mfilter
%
%Interactive module for displaying seismic data for filtering
%By Min Zhou, 09/10/99

if ~nargin
 filtermenu
 return
end %if

switch action
case 'getdataset'
 datasetname=get(gcbo,'String');
 dataset=get(gcbo,'userdata');
 set(findobj(gcbf,'Tag','EditRec1'),'String','1');
 rec1=1;
 rec2=dataset.fh{12};
 set(findobj(gcbf,'Tag','EditRec2'),'String',num2str(rec2));
 tr1=1;
 set(findobj(gcbf,'Tag','EditTr1'),'String','1');
 tr2=dataset.th{1}(12,1);
 set(findobj(gcbf,'Tag','EditTr2'),'String',num2str(tr2));
 dir=1;
 set(findobj(gcbf,'Tag','EditDir'),'String','1');
 f1=0;
 set(findobj(gcbf,'Tag','EditF1'),'String',num2str(f1));
 f2=1/(2*dataset.fh{8}); %Nyquist frequency
 set(findobj(gcbf,'Tag','EditF2'),'String',num2str(f2));

case 'plot'
 h=findobj(gcbf,'Tag','Edittext1');
 a.f1=str2num(get(findobj(gcbf,'Tag','EditF1'),'String'));
 a.f2=str2num(get(findobj(gcbf,'Tag','EditF2'),'String'));
 G=findobj('name','FilterPlot');
 if isempty(G)
  filterplot;
  a.axunfilter=findobj(gcf,'Tag','Axesunfilter');
  a.axfilter=findobj(gcf,'Tag','Axesfilter');
  a.axspec=findobj(gcf,'Tag','Axesspec');
  a.axfilterspec=findobj(gcf,'Tag','Axesfilterspec');
  a.datasetfilter=get(h,'userdata');
  a.filterf1=a.f1; 
  set(findobj(gcf,'Tag','Editf1'),'String',num2str(a.f1+5));
  a.filterf2=a.f1; 
  set(findobj(gcf,'Tag','Editf2'),'String',num2str(a.f1+5));
  a.filterf3=a.f2; 
  set(findobj(gcf,'Tag','Editf3'),'String',num2str(a.f2));
  a.filterf4=a.f2; 
  set(findobj(gcf,'Tag','Editf4'),'String',num2str(a.f2));
 else
  figure(G)
  a=get(G,'userdata');
 end %if/else

 a.rec1=str2num(get(findobj(gcbf,'Tag','EditRec1'),'String'));
 a.rec2=str2num(get(findobj(gcbf,'Tag','EditRec2'),'String'));
 a.tr1=str2num(get(findobj(gcbf,'Tag','EditTr1'),'String'));
 a.tr2=str2num(get(findobj(gcbf,'Tag','EditTr2'),'String'));
 dir=str2num(get(findobj(gcbf,'Tag','EditDir'),'String'));
 if dir~=1
  temp=a.tr1;
  a.tr1=a.tr2;
  a.tr2=temp;
 end %if
 a.datasetname=get(h,'string');
 a.dataset=get(h,'userdata');
 a.scfact=1.5;
 a.maxav=1;
 a.pltflg=0;
 a.rec=a.rec1;
 a.smp=a.dataset.fh{8};
 a.t1=a.dataset.fh{9};
 a.t2=a.dataset.fh{10};

 set(gcf,'CurrentAxes',a.axunfilter);
 seisplot(a.dataset.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact);
title('Before Filter');

 set(gcf,'CurrentAxes',a.axfilter);
 seisplot(a.datasetfilter.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact);
title('After Filter');

 filterspec(a.dataset,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axspec);
 filterspec(a.datasetfilter,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axfilterspec);

 set([a.axfilterspec;a.axspec],'xlim',[a.f1 a.f2])
 a.c='k'; %seisplot color
 set(gcf,'userdata',a)
 set(findobj(gcf,'tag','StaticText1'),'string',['Now showing record: ',num2str(a.rec)])
 set(findobj(gcf,'tag','TitleText'),'string',['Variable: ',a.datasetname])

 subplot(a.axspec)
 b=axis;
 set(get(gca,'xlabel'),'userdata',b)
 subplot(a.axfilterspec)
 b=axis;
 set(get(gca,'xlabel'),'userdata',b)


case 'skip'
 a=get(gcf,'userdata');
 a.rec=str2num(get(gcbo,'String'));
 if a.rec<a.rec1 | a.rec>a.rec2
  msgbox('Not a valid record number.','Warning','warn');
  return
 end %if
 set(gcf,'userdata',a)

 subplot(a.axunfilter)
 seisplot(a.dataset.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('Before Filter');
 filterspec(a.dataset,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axspec);

 subplot(a.axfilter)
 seisplot(a.datasetfilter.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('After Filter');
 filterspec(a.datasetfilter,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axfilterspec);

 hdd=findobj(gcbf, 'Tag', 'StaticText1');
 set(hdd, 'String' ,['Now showing record: ',num2str(a.rec)]);

case 'scale'
 a=get(gcf,'userdata');
 a.scfact=str2num(get(gcbo,'String'));
 set(gcf,'userdata',a)
 subplot(a.axunfilter)
 seisplot(a.dataset.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('Before Filter');
 subplot(a.axfilter)
 seisplot(a.datasetfilter.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('After Filter');

case 'zoom'
 zoom on
 set(gcf,'windowbuttonupfcn','mfilter zoomoff');

case 'zoomoff'
 ones;
 zoom off
 a=get(gcf,'userdata');
 limx=get(gca,'xlim');
% if gca==a.axunfilter
% ax=a.axfilter;
% elseif gca==a.axfilter
%  ax=a.axunfilter;
% elseif gca==a.axspec
%  ax=a.axfilterspec;
% elseif gca==a.axfilterspec
%  ax=a.axspec;
% else
%  return
% end %if
% set(gcf,'currentaxes',ax)
% zoom off
% ylim=get(ax,'ylim');
% set(ax,'ylim',ylim)
 set(gcf,'windowbuttonupfcn','')

case 'full'
 a=get(gcf,'userdata');
 subplot(a.axunfilter)
 zoom out;
% lim=[a.tr1-1 a.tr2+1 a.t1 a.t2];
% axis(lim);
 subplot(a.axfilter)
 zoom out
% axis(lim);

 subplot(a.axfilterspec)
 zoom out
% lim=get(get(gca,'xlabel'),'userdata');
% axis(lim);
 subplot(a.axspec)
 zoom out
% lim=get(get(gca,'xlabel'),'userdata');
% axis(lim);

case 'next'
 a=get(gcf,'userdata');
 if a.rec<a.rec2,
  a.rec=a.rec+1;
  set(gcf,'userdata',a);
  subplot(a.axunfilter)
  seisplot(a.dataset.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('Before Filter');

  subplot(a.axfilter)
  seisplot(a.datasetfilter.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('After Filter');
  filterspec(a.dataset,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axspec);
  filterspec(a.datasetfilter,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axfilterspec);

  hdd=findobj(gcbf,'Tag','StaticText1');
  set(hdd,'String',['Now showing record: ',num2str(a.rec)]);
 else,
  msgbox('You have reach the EOF','Warning','warn')
 end

case 'previous'
 a=get(gcf,'userdata');
 if a.rec>a.rec1,
  a.rec=a.rec-1;
  set(gcf,'userdata',a);
  subplot(a.axunfilter)
  seisplot(a.dataset.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('Before Filter');
  subplot(a.axfilter)
  seisplot(a.datasetfilter.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('After Filter');
  filterspec(a.dataset,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axspec);
  filterspec(a.datasetfilter,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axfilterspec);

  hdd=findobj(gcbf,'Tag','StaticText1');
  set(hdd,'String',['Now showing record: ',num2str(a.rec)]);
 else,
  msgbox('You have reach the BOF','Warning','warn')
 end

case 'band'
a=get(gcf,'userdata');
a.filterf1=str2num(get(findobj(gcbf,'Tag','Editf1'),'String'));
a.filterf2=str2num(get(findobj(gcbf,'Tag','Editf2'),'String'));
a.filterf3=str2num(get(findobj(gcbf,'Tag','Editf3'),'String'));
a.filterf4=str2num(get(findobj(gcbf,'Tag','Editf4'),'String'));
[a.datasetfilter]=bandpass(a.dataset,a.filterf1,a.filterf2,a.filterf3,a.filterf4);
set(gcf,'userdata',a);
subplot(a.axunfilter)
seisplot(a.dataset.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('Before Filter');
subplot(a.axfilter)
seisplot(a.datasetfilter.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('After Filter');
filterspec(a.dataset,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axspec);
filterspec(a.datasetfilter,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axfilterspec);

case 'notch'
a=get(gcf,'userdata');
a.filterf1=str2num(get(findobj(gcbf,'Tag','Editf1'),'String'));
a.filterf2=str2num(get(findobj(gcbf,'Tag','Editf2'),'String'));
a.filterf3=str2num(get(findobj(gcbf,'Tag','Editf3'),'String'));
a.filterf4=str2num(get(findobj(gcbf,'Tag','Editf4'),'String'));
[a.datasetfilter]=noch(a.dataset,a.filterf1,a.filterf2,a.filterf3,a.filterf4);
set(gcf,'userdata',a);
subplot(a.axunfilter)
seisplot(a.dataset.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('Before Filter');

subplot(a.axfilter)
seisplot(a.datasetfilter.dat{a.rec},a.t1,a.t2,a.tr1,a.tr2,a.smp,a.maxav,a.pltflg,a.scfact,a.c);
title('After Filter');

filterspec(a.dataset,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axspec);
filterspec(a.datasetfilter,a.tr1,a.tr2,a.t1,a.t2,a.rec,1,a.axfilterspec);

case 'quit'
filterquit;

case 'menu'
 a=get(gcf,'userdata'); 
 h=findobj('Name','Filter Menu');
 if ~isempty(h)
   figure(h);
 else 
   filtermenu
   h1=findobj('Name','Filter Menue');
   set(findobj(h1,'Tag','Edittext1'),'String',a.datasetname);
   return
 end
   
case 'quitall'
nfig=findobj('type','figure');
   if length(nfig)==1
      close all
      return
   end %if
   cfig=findobj(nfig,'Name','FilterPlot');
   close(findobj(nfig,'Name','Filter Menu'));
   if length(cfig)~=0
     filterquit;
   end
end %switch
