function dataok(unit1,unit2)

%
%function dataok
%called by shdata.m
%show the traveltime-offset and shot-receiver configuration
%Modified on 10/03/99
%

if nargin<1
 unit1='(m)';
end %if

filename=get(findobj(gcf,'Tag','filechoisetext'),'string');
numshot=str2num(get(findobj(gcbf,'Tag','shotchoisetext'),'string'));
fid2=fopen('traveltime.in','w');
fprintf(fid2,'%3.0f\n',numshot);
fprintf(fid2,filename,'\n');
fprintf(fid2,'\n');
fclose(fid2);

delete(findobj(gcf,'Tag','text1'));
delete(findobj(gcf,'Tag','filechoisetext'));
delete(findobj(gcf,'Tag','shotchoisetext'));

[s10,w10]=unix('traveltime');
[s10,w10]=unix('t4 <tr.in >tmp');
load trc.mat;
figure(gcf);
subplot(2,1,1),plot3(trc(2:trc(1,3),1),trc(2:trc(1,3),2),trc(2:trc(1,3),3));
xlabel(['X of Receiver ',unit1]);
ylabel(['Z of Receiver ',unit1]);
zlabel('Travel Time (sec.)');
title(['Traveltime curve of shot ',num2str(numshot),...
       ':SX= ',num2str(trc(1,1)),'  ZX= ',num2str(trc(1,2))]);
box on; grid on;
subplot(2,1,2),plot(trc(2:trc(1,3),1),trc(2:trc(1,3),2));
xlabel(['X of Receiver ',unit1]);
ylabel(['Z of Receiver ',unit1]);
title('* Shot Position');
hold on;
plot(trc(1,1),trc(1,2),'*');
axis('ij');
hold off;
rotate3d ON;
