function edtfile(action)

%
%function edtfile
%Edit shot-receiver geometry file
%Called by csyn_paramok_1.m
%By Min Zhou, 10/11/99
%
if ~nargin
  action='initialize';
end %if

switch action

case 'initialize'

h0=findobj('Name','Forward Modeling Main');
figure(h0);
user=get(gcf,'userdata');
user.geom_fname=get(findobj(gcf,'Tag','geomtext'),'String');
set(gcf,'userdata',user);

deletestr=['delete(findobj(gcf,''Style'',''text''));',...
           'delete(findobj(gcf,''Style'',''edit''));',...
           'delete(findobj(gcf,''Style'',''pushbutton''));',...
           'delete(findobj(gcf,''Type'',''axes''));'];
eval(deletestr);

ffg=fopen(user.geom_fname,'r+'); %update the first line
frewind(ffg);
fprintf(ffg,'%4.0f %4.0f %4.1f           nx,nz,dx', user.nx,user.nz,user.dx);
fclose(ffg);

fid=fopen(user.geom_fname,'r'); %read the whole file
 i=0;
     while 1
            line = fgetl(fid);
            if ~isstr(line), break, end
            i=i+1;
            a{i}=line;
     end %while
 fclose(fid);
 b=str2mat(a);   %change cell arrays to matrix
 b0=b(1,:);      %first line, not editable
 b1=b(2:i,:);    %rest of the file, editable

% create the interface
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.4166666666666667, ...
	'ListboxTop',0, ...
	'Position',[0.0500 0.8857143 0.1785714 0.0571429], ...
	'String','Now Editing:', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',0.3091931216931217, ...
	'ListboxTop',0, ...
	'Position',[0.06428571428571428 0.7571428571428571 0.8714285714285714 0.07619047619047618], ...
        'HorizontalAlignment','left',...
        'String',b0,...
	'Style','text', ...
	'Tag','First line');
h1 = uicontrol('Parent',h0, ...
        'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'FontSize',0.05646135265700483, ...
	'ListboxTop',0, ...
	'Max',20, ...
	'Position',[0.06071428571428571 0.2333333333333333 0.8803571428571427 0.5238095238095237], ...
        'HorizontalAlignment','left',...
        'String',b1,...
	'Style','edit', ...
	'Tag','Editfile');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.701960784313725 0.701960784313725 0.701960784313725], ...
	'FontSize',0.287940379403794, ...
	'ListboxTop',0, ...
	'Position',[0.1446429 0.1071429 0.1767857 0.0738095], ...
	'String','Save', ...
        'Callback','edtfile save',...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'FontSize',0.2951388888888889, ...
	'ListboxTop',0, ...
	'Position',[0.6446429 0.1047619 0.1678571 0.0714286], ...
	'String','Cancel', ...
        'Callback',deletestr,...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.4292929292929293, ...
	'ListboxTop',0, ...
	'Position',[0.2428571 0.8857143 0.2000 0.0547619], ...
	'String',user.geom_fname, ...
	'Style','text', ...
	'Tag','StaticText2');

case 'save'
figure(gcbf);
h=findobj('Name','Forward Modeling Main');
a=get(h,'userdata');

b1=get(findobj(gcf,'Tag','Editfile'),'String');
b0=get(findobj(gcf,'Tag','First line'),'string');
[m,n]=size(b1);

fid=fopen('refra-2d.in','w');
fprintf(fid,'%3.0f %3.0f %4.1f\n %10.4f %10.4f\n %10.4f %10.4f\n %3.0f %3.0f\n %3.0f %3.0f\n',a.key,a.iter,a.dx,a.vmin,a.vmax,a.v1,a.v2,a.irsx,a.irsz,a.nite,a.ndown);
fprintf(fid,'**************Forward Modeling Parameters***************\n %4.0f %4.0f\n',a.nx,a.nz);

fid1=fopen(a.geom_fname,'w'); %save file for future use
  fprintf(fid1,'%s\n',b0);
  for i=1:m
   fprintf(fid,'%s\n',b1(i,:));
   fprintf(fid1,'%s\n',b1(i,:));
  end;
fclose(fid);
fclose(fid1);

fidf=fopen('forw.in','w');
fprintf(fidf,'%10.4f %10.4f\n %10.4f %10.4f\n',a.xmin,a.xmax,a.zmin,a.zmax);
fprintf(fidf,a.geom_fname,'\n');
fclose(fidf);

ff1=fopen('lay2.in','w');
ff2=fopen('lay3.in','w');
ff3=fopen('layg.in','w');

v11=1000; v22=1500; v33=2000; nb=round((a.nz-1)/2)+1;
nb1=round(a.nz/3)+1; nb2=round(a.nz*2/3)+1;
fprintf(ff1,'%4.0f %4.0f %4.1f\n %10.4f %10.4f %4.0f\n',a.nx,a.nz,a.dx,v11,v22,nb);
fprintf(ff2,'%4.0f %4.0f %4.1f\n %10.4f %10.4f %10.4f %4.0f %4.0f\n',a.nx,a.nz,a.dx,v11,v22,v33,nb1,nb2);
fprintf(ff3,'%4.0f %4.0f %4.1f\n %10.4f %10.4f\n',a.nx,a.nz,a.dx,v11,v22);
fclose(ff1); fclose(ff2); fclose(ff3);

[s10,w10]=unix('copy refra-2d.in refra-2d_syn.in');

ff=fopen('refra-2d_syn.in','r+'); %prepare data file for cyn-refra-pq
line=fgets(ff); aa=sscanf(line,'%f');
key1=round(aa(1)); iter1=round(aa(2)); dx1=aa(3);
key1=0; frewind(ff);
fprintf(ff,'%3.0f %3.0f %4.1f\n',key1,iter1,dx1);
fclose(ff);

uicontrol('Style','pushbutton',...
          'String','Geometry datafile has been updated.',...
          'Position',[150 250 300 50],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','ww');
pause(1);
delete(findobj(gcf,'Tag','ww'));

end %switch
