function [a]=ffit(theta,theta0,e,b)

%
%fucionffet,theta0,e,b)
%This fuction calculate the Frechet derivative for ellips 
%theta0:     angle between x axis and long axis of the ellips
%e:          ratio of flatness
%b:          half length of the short axis of the ellips
%

a1=0.5*b*e^2./(1-e^2.*cos(theta-theta0).^2).^(3/2).*sin(2.*(theta-theta0));
a2=b*e.*cos(theta-theta0).^2./(1-e^2.*cos(theta-theta0).^2).^(3/2);
a3=1./sqrt(1-e^2.*cos(theta-theta0).^2);
a=[a1 a2 a3];
