function hist_dyn()

%
%function hist_dyn
%Show histogram of the residual dynamically
%By Min Zhou, 10/03/99
%

user=get(findobj('Name','Xwell Refraction Inversion Main'),'userdata');
nnr=user.nnr; ns=user.ns;

ff=fopen('num_sch.in','r');
line=fgets(ff);a=sscanf(line,'%f');
num_smooth=a(1);
fclose(ff);

for iii=1:num_smooth

res_name=['residual_sch_',num2str(iii)];
eval(['load ',[res_name,'.mat']]);
eval(['secmax=max(max(',res_name,'));']);
eval(['secmin=min(min(',res_name,'));']);
secmax=max(abs(secmax),abs(secmin));
secmin=-secmax;
secstep=0.05*(secmax-secmin);
rsec=[3*secmin:secstep:3*secmax];
nrsec=max(size(rsec));
nnnn=max(nnr(:));

fig_name=['Dynamic Histogram ',num2str(iii),' of ',num2str(num_smooth)];
figure('Name',fig_name,'MenuBar','none','NumberTitle','off');

hold on;
axis([secmin*2 secmax*2 1 ns+5]);
for i=1:ns
        nnn_fre=zeros(nrsec,1);
        nnn_fre2=zeros(nrsec,1);
        for j=1:nrsec
        eval(['aaa=size(find(',res_name,'(i,1:nnr(i))<rsec(1,j)));']);
        if aaa == [0 0]
                 nnn_fre(j,1)=0;
        else
                nnn_fre(j,1)=max(aaa);
        end
        end
        for j=1:nrsec
        if j == 1
                nnn_fre2(j,1)=nnn_fre(j,1);
        else
                nnn_fre2(j,1)=nnn_fre(j,1)-nnn_fre(j-1,1);
        end
        nnn_fre2(j,1)= nnn_fre2(j,1)+i;
        end
        plot(rsec,nnn_fre2);
end
xlabel('Residual(Sec)');
ylabel('Shot');
title(['Histogram of the traveltime residuals (smoothing size #',num2str(iii),')']);
uimenu('Label','Save as','Callback','save_fig');
uimenu('Label','Close','Callback','close(gcf)');
hold off;

end %for


