function run_inv(action)

%
%function run_inv
%Running the refraction inversion code, 
%Input action==1: From beginnning;
%              0: Continuing the calculation made before
%Interface developed by Zhaojun Liu and Jianming Seng
%Modifies to function by Min Zhou, 09/30/99
%
if ~nargin
 action=1;
end %if

% read in data
user=get(findobj('Name','Xwell Refraction Inversion Main'),'userdata');
dx_old=user.dx_old;
ff=fopen('num_sch.in','r');
line=fgets(ff);a=sscanf(line,'%f');
num_smooth=a(1);         
fclose(ff);

no_data=0;
sch_rms=zeros(1,500);

rms_old=-1;
if action==0
  load rmsplt.mat;
  if (~isempty(rmsplt)&length(rmsplt)>=2)
     rms_old=rmsplt(1:length(rmsplt)-1);
  end;
end;

for iii=1:num_smooth
sch_param=['sch_',num2str(iii),'.in'];
ff=fopen(sch_param,'r');
line=fgets(ff);a=sscanf(line,'%f');
key=round(a(1));iter=round(a(2));dx=a(3);
line=fgets(ff);a=sscanf(line,'%f');
vmin=a(1);vmax=a(2);
line=fgets(ff);a=sscanf(line,'%f');
v1=a(1);v2=a(2);
line=fgets(ff);a=sscanf(line,'%f');
irsx=round(a(1));irsz=round(a(2));
line=fgets(ff);a=sscanf(line,'%f');
nite=round(a(1));ndown=round(a(2));
fclose(ff);
fid=fopen('refra-2d.in','w');
fprintf(fid,'%1.0f %3.0f %4.1f\n %10.4f %10.4f\n %10.4f %10.4f\n %3.0f %3.0f\n %3.0f %3.0f\n',key,iter,dx,vmin,vmax,v1,v2,irsx,irsz,nite,ndown);
fclose(fid);

if iii == 1 & action==1
	[s10,w10]=unix('READ_REFRA_2D_IN >tmp');
	[s10,w10]=unix('copy model1.dat slast');
else 
     if dx ~= dx_old
	[s10,w10]=unix('copy slast slast_old');  %multigrid.f use slast_old
	[s10,w10]=unix('multigrid');
	[s10,w10]=unix('copy slast_new slast');
     end %if 
end %if

unix('refra-2d-pq');
save_sch_res(iii);

%isgrid_changed=0;
dx_old=dx;
[s10,w10]=unix('copy refra-2d.in refra-2d-old.in'); % multigrid.f will use old.in

if iii == 1
	[s10,w10]=unix('t4 <totres.in >tmp');  
	load rms.mat;
	sch_rms(1,1:(iter+1))=rms(1,1:(iter+1));
	no_data=iter+1;
	clear rms;
	[s10,w10]=unix('del rms.dat');
	[s10,w10]=unix('del rms.mat');
else 
	[s10,w10]=unix('t4 <totres.in >tmp');  
	load rms.mat;
	sch_rms(1,(no_data+1):(no_data+iter+1))=rms(1,1:(iter+1)); 
	no_data=no_data+iter+1;
	clear rms;
        [s10,w10]=unix('del rms.dat');   
	[s10,w10]=unix('del rms.mat');
end %if
end %for 

user.dx_old=dx_old;  % save dx_old to userdata
set(findobj('Name','Xwell Refraction Inversion Main'),'userdata',user);

rms=sch_rms(1,1:no_data);
if (rms_old(1)<0)
rmsplt=[rms no_data];
else
rmsplt=[rms_old rms no_data];
end;
clear sch_rms;
save rms rms;
[s10,w10]=unix('del rmsplt.mat'); save rmsplt rmsplt;
[s10,w10]=unix('t4 <ray.in >tmp');
[s10,w10]=unix('t4 <img.in >tmp');

disp('Inversion End');

