function save_fig(action)

%
%function save_fig
%Save the current figure as postscript file( .ps)
%By Min Zhou, 09/30/99
%

if ~nargin
 action='plot';
end

switch action

case 'plot'
h=gcbf;
figure('Position',[200 200 450 150],'Menubar','none',...
       'NumberTitle','off','Resize','off',...
       'Name','Save Figure');
set(gcf,'userdata',h);
uicontrol('Style','text','BackgroundColor',[0.8 0.8 0.8],...
          'String','Input PS file name(without suffix)',...
          'Position',[15 85 210 30],'Fontsize',12);
uicontrol('Style','edit','Tag','figsavetext',...
          'String','save_fig',...
          'Position',[260 90 150 30],...
          'BackGroundColor','w',...
          'ForeGroundColor','r');
OK=uicontrol('Style','Pushbutton','String','OK',...
                  'Position',[90 40 80 30],...
                  'Callback','save_fig saveok');
Cancle=uicontrol('Style','Pushbutton','String','Cancel',...
                 'Position',[290 40 80 30],...
                 'Callback','close(gcf)'); 


case 'saveok'
fname_tmp=get(findobj(gcbf,'Tag','figsavetext'),'string');
h=get(gcbf,'userdata');
eval(['print -dpsc ',fname_tmp,'.ps',' -f',num2str(h)]);
close(gcbf);

end %switch
