function squash_m(fig_handle,axes_total,axes_no,subplt_no)

%function squash_m
% fig_handle:  handle of current figure
% axes_total:  total number of axes including colorbars
% axes_no   :  position of the axes to be modified from 
%              the beginning
% subplt_no :  subplot expression
%              111 for no subplot
%
% By Min Zhou, 06/07/2000
%
% Squasher squashes or expands color scale                
% of an image by clicking on colorbar.                    
%                                                         
% Left key click on                                       
% upper and lower limits =  compress color scale          
%                                                         
% Middle key click on                                     
% upper and lower limits = expand color scale by 500*2  
%                                                         
% Right key double click = Quit                           
%                                                         

figure(fig_handle)
axes_handle=findobj(gcf,'type','axes');
axes_h=axes_handle(axes_total-axes_no+1);

if axes_total<=axes_no
 error('Total axes num is less than current axes position num');
elseif length(axes_handle)~=axes_total
 error('Total axes num does not equal to real axes num in the figure!');
elseif axes_total==2 | subplt_no==111
 axes_total=2;subplt_no=111;
 cbar_h=axes_handle(1);
 delete(cbar_h);
 colorbar;
end

button1=1;button2=1;i=1;
blk=['                                                                 '];
te0=['                   Mouse key clicks do not match!                '];
te1=['---------------------------------------------                    '];
tx1=['Left      key:   upper and lower limits = compress color scale   '];
tx2=['Middle key:   upper and lower limits = expand color scale by 100 '];
tx3=['Right    key:   double click = Quit                              '];
tn1=['                                        NOTE:                    ']; 
tn2=['Mouse click only on the COLORBAR, don''t click on any other place!'];
tx=[blk;tx1;tx2;tx3;blk;tn1;tn2];
te=[blk;te0;te1;tx];
s_h=helpdlg(tx,'Squash button');
h1=findobj(s_h);
delete(h1(3));
pause(3);
delete(s_h);

for i=1:1000;

 if button1<3 | button2<3
      [x(1),y(1),button1]=ginput(1);
      b1=button1;
  
      [x(2),y(2),button2]=ginput(1);
      b2=button2;
      
  if button1==3 & button2==3;
  return;
  end;
  
  if button1==button2
    if y(2)>y(1);
      ymax=y(2);
      ymin=y(1);
    else 
      button1=b2;
      button2=b1;
      ymax=y(1)+0.1;
      ymin=y(2);
    end; % y(2)>y(1) 
    
    if i<1000;
      if button1==2;ymin=ymin-100;end;
      if ymin<0;ymin=0;end;
      if button2==2;ymax=ymax+100;end;

      if axes_total==2 | subplt_no==111
         axes_handle=findobj(gcf,'type','axes');
         cbar_h=axes_handle(1);
         delete(cbar_h);
      else
         subplot(subplt_no);
      end %if 
      
      set(axes_h,'clim',[ymin ymax]);
      colorbar;
    end %if i<1000
    
  else
  
    s_e=errordlg(te,'Error','replace');
    h1=findobj(s_e); delete(h1(3));  
    pause(5); delete(s_e);
    button1=1;button2=1;   
                  					
  end %if button1==button2
 end %if button1<3 | button2<3
end %for  





