function syn_main()

%
%function syn_main
%Forward Modeling Main Menue
%

clear all;
ff=fopen('refra-2d.in','r');
if ff ~= -1
        line=fgets(ff);a=sscanf(line,'%f');
        user.key=round(a(1));user.iter=round(a(2));user.dx=a(3);
        line=fgets(ff);a=sscanf(line,'%f');
        user.vmin=a(1);user.vmax=a(2);
        line=fgets(ff);a=sscanf(line,'%f');
        user.v1=a(1);user.v2=a(2);
        line=fgets(ff);a=sscanf(line,'%f');
        user.irsx=round(a(1));user.irsz=round(a(2));
        line=fgets(ff);a=sscanf(line,'%f');
        user.nite=round(a(1));user.ndown=round(a(2));
        fclose(ff);
else
	user.key=1;
	user.iter=5;
	user.dx=2.5;
	user.vmin=500.;
	user.vmax=3000.;
	user.v1=1000.;
	user.v2=2000.;
	user.irsx=20;
	user.irsz=10;
	user.nite=4;
	user.ndown=2;
end

ff=fopen('forw.in','r');
if ff ~= -1
	line=fgets(ff);a=sscanf(line,'%f');
	user.xmin=a(1);user.xmax=a(2);
	line=fgets(ff);a=sscanf(line,'%f');
	user.zmin=a(1);user.zmax=a(2);
	line=fgets(ff);a=sscanf(line,'%s');
	user.geom_fname=a;
else
	user.xmin=0.0;user.xmax=100.0;
	user.zmin=0.0;user.zmax=500.0;
	user.geom_fname='geometry.dat';
end
user.nx=round((user.xmax-user.xmin)/user.dx)+1;
user.nz=round((user.zmax-user.zmin)/user.dx)+1;

user.unit1='(m)'; user.unit2='(m/sec)';

h=findobj('Name','Forward Modeling Main');
if ~isempty(h)
 figure(h);
 set(h,'userdata',user);
 clearstr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
           'delete(findobj(gcf,''Style'',''edit''));',...
           'delete(findobj(gcf,''Type'',''axes''));',...
           'delete(findobj(gcf,''Style'',''text''));'  ];
 eval(clearstr);

else

 figure('Position',[50 230 560 420],...
        'Name','Forward Modeling Main',...
        'MenuBar','none','NumberTitle','off',...
        'userdata',user);

synparam=uimenu('Label','Parameter | ');
inputm=uimenu(synparam,'Label','Input parameters ');
uimenu(inputm,'Label','Parameters in meters',...
              'Callback','csyn_param(1)');

uimenu(inputm,'Label','Parameters in feet',...
              'Callback','csyn_param(0)');

%uimenu(synparam,'Label','vi coord_syn.temp ','Callback','syn_viparam');

synshowv=uimenu('Label','Show Velocity | ');
uimenu(synshowv,'Label','Model1(2 layers)',...
                'Callback','syn_show_v1');
uimenu(synshowv,'Label','Model2(3 layers)',...
                'Callback','syn_show_v2');
uimenu(synshowv,'Label','Model3(gradient)',...
                'Callback','syn_show_v3');

uimenu('Label','Starting Forward Modeling | ','Callback','syn_run');

uimenu('Label','Show Results | ',...
       'Callback','shdata');
uimenu('Label','Quit','Callback','close(gcf)');

end %if
