function syn_show()

%
%function syn_show
%Show velocity model and set wedge to this model
%Called by function syn_modelok.m
%
%Interface developed by Zhaojun Liu and Jianming Seng
%Modifies to function by Min Zhou, 09/30/99
%

% get unit
b=get(findobj('Name','Forward Modeling Main'),'userdata');

h=findobj('Name','Velocity Model for Forward Modeling');
if ~isempty(h)
 figure(h);
 set(h,'userdata',b);
 clearstr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
           'delete(findobj(gcf,''Style'',''edit''));',...
           'delete(findobj(gcf,''Type'',''axes''));'];
 eval(clearstr);

else

figure('Position',[200 200 560 420],...
       'Name','Velocity Model for Forward Modeling',...
       'MenuBar','none','NumberTitle','off',...
       'userdata',b);

addwedgemenu=uimenu('Label','Add Wedge |');
uimenu(addwedgemenu,'Label','Draw a Wedge',...
                    'Callback','syn_draw draw');
uimenu(addwedgemenu,'Label','Set Wedge Velocity',...
                    'Callback','syn_draw set');
savemenu=uimenu('Label','Save | ',...
                'Callback','syn_draw save');
cancelmenu=uimenu('Label','Cancel | ',...
                  'Callback','syn_draw cancel');
closemenu=uimenu('Label','Close | ',...
                 'Callback','close(gcf)');
end %if

ff=fopen('slow','r');
if ff == -1
	[s10,w10]=unix('echo the slowness file "slow" does not exist.');
else
fclose(ff);

[s10,w10]=unix('t4 <slow.in >tmp');
load slow.mat;
v_syn=1./slow;

ff=fopen('refra-2d.in','r');
line=fgets(ff);a=sscanf(line,'%f');
dx=a(3);
fclose(ff);

[nz,nx]=size(slow);
xx=[0:dx:(nx-1)*dx];zz=[0:dx:(nz-1)*dx];
imagesc(xx,zz,v_syn);
colorbar;
xlabel(['Offset ',b.unit1]);
ylabel(['Depth ',b.unit1]);
title('Velocity Model');
text((nx-1)*dx+(nx-1)*dx/670*100,-(nz-1)*dx/20,b.unit2(2:length(b.unit2)-1));
end
