function csyn_param(unit)

%
%function csyn_param
%Prepare parameters(velocity model, shot-receiver configuration) 
%for forward modeling fortran code
%Input: unit==1 -- unit is in 'meter'
%              0 -- unit is in 'feet'
%By Min Zhou,10/03/99
%

%fig_s01=figure('Position',[200 200 560 420]);
figure(gcf);
delete(findobj(gcf,'Type','axes'));
delete(findobj(gcf,'Style','pushbutton'));
delete(findobj(gcf,'Style','edit'));
delete(findobj(gcf,'Style','text'));

user=get(gcf,'userdata');
if unit==1
  unit1='(m)';unit2='(m/sec)';
else
  unit1='(ft)'; unit2='(ft/sec)';
end
user.unit1=unit1;user.unit2=unit2;
set(findobj('Name','Forward Modeling Main'),'userdata',user);

uicontrol('Style','pushbutton',...
          'String','Model Parameters',...
          'Units','normalized',...
          'Position',[ 0.235714285714286 0.833333333333333 0.535714285714286 0.119047619047619 ],...
          'Tag','synpara');

sss=num2str(user.dx);
uicontrol('Style','pushbutton',...
          'String',['Input Grid Spacing Size ',unit1],...
          'Units','normalized',...
          'Position',[ 0.132142857142857 0.714285714285714 0.535714285714286 0.0714285714285714 ],...
          'Tag','dxmenu');
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.705357142857143 0.714285714285714 0.178571428571429 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','dxtext');

uicontrol('Style','pushbutton',...
'String',['Input Minimum X-coordinate of the Model ',unit1],...
          'Units','normalized',...
          'Position',[ 0.133928571428571 0.60952380952381 0.535714285714286 0.0714285714285714 ],...
          'Tag','xminmenu');
sss=num2str(user.xmin);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.705357142857143 0.607142857142857 0.178571428571429 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','xmintext');

uicontrol('Style','pushbutton',...
'String',['Input Maximum X-coordinate of the Model ',unit1],...
          'Units','normalized',...
          'Position',[ 0.133928571428571 0.502380952380952 0.535714285714286 0.0714285714285714 ],...
          'Tag','xmaxmenu');
sss=num2str(user.xmax);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.707142857142857 0.497619047619048 0.178571428571429 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','xmaxtext');

uicontrol('Style','pushbutton',...
'String',['Input Minimum Z-coordinate of the Model ',unit1],...
          'Units','normalized',...
          'Position',[ 0.135714285714286 0.388095238095238 0.535714285714286 0.0714285714285714 ],...
          'Tag','zminmenu');
sss=num2str(user.zmin);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.705357142857143 0.388095238095238 0.178571428571429 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','zmintext');

uicontrol('Style','pushbutton',...
'String',['Input Maximum Z-coordinate of the Model ',unit1],...
          'Units','normalized',...
          'Position',[ 0.133928571428571 0.280952380952381 0.535714285714286 0.0714285714285714 ],...
          'Tag','zmaxmenu');
sss=num2str(user.zmax);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.705357142857143 0.278571428571429 0.178571428571429 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','zmaxtext');

uicontrol('Style','Pushbutton','String','OK',...
          'Units','normalized',...
          'Position',[ 0.282142857142857 0.121428571428571 0.0892857142857143 0.0714285714285714 ],...
          'Callback','csyn_paramok_1');

syncancelstr=['delete(findobj(gcf,''style'',''pushbutton''));',...
              'delete(findobj(gcf,''style'',''edit''));'];
uicontrol('Style','Pushbutton',...
          'String','Cancel',...
          'Units','normalized',...
          'Position',[ 0.630357142857143 0.126190476190476 0.142857142857143 0.0714285714285714 ],...
          'Tag','syncancel1',...
          'Callback',syncancelstr);
