function main_Inverse(un)

%
%function main_Inverse
%Interface for xwell refraction inversion, main menue
%Modified by Min Zhou, 10/03/99
%

if nargin<1
 un=2;
end %if

%clear all;
[s10,w10]=unix('READ_REFRA_2D_IN >tmp');
[s10,w10]=unix('t4 <REFRA.IN >tmp');
%[s10,w10]=unix('t4 <MODEL1.IN >tmp');
%[s10,w10]=unix('t4 <MODEL2.IN >tmp');
%[s10,w10]=unix('t4 <MODEL3.IN >tmp');
% modified on 09/27/99 to plot the raypath for model
%[s10,w10]=unix('ycp vmodel.dat model1.dat');
[s10,w10]=unix('copy model1.dat slast0');
[s10,w10]=unix('copy refra-2d.in refra-2d-old.in');
load REFRA.mat;
key=round(REFRA(1));iter=round(REFRA(2));dx=REFRA(3);
key=1;
dx_old=dx;
vmin=REFRA(4);vmax=REFRA(5);
v1=REFRA(6);v2=REFRA(7);
irsx=round(REFRA(8));irsz=round(REFRA(9));
nite=round(REFRA(10));ndown=round(REFRA(11));
ns=round(REFRA(12));
nnr=zeros(ns);
%isgrid_changed=0;
for i=1:ns
nnr(i)=round(REFRA(12+i));
end
ff=fopen('sch_1.in','r');
if ff == -1
	fid=fopen('sch_1.in','w');
	fprintf(fid,'%1.0f %3.0f %4.1f\n %10.4f %10.4f\n %10.4f %10.4f\n %3.0f %3.0f\n %3.0f %3.0f\n',key,iter,dx,vmin,vmax,v1,v2,irsx,irsz,nite,ndown);
	fclose(fid);
else
	line=fgets(ff);a=sscanf(line,'%f');
        key=round(a(1));iter=round(a(2));dx=a(3);
        line=fgets(ff);a=sscanf(line,'%f');
        vmin=a(1);vmax=a(2);
        line=fgets(ff);a=sscanf(line,'%f');
        v1=a(1);v2=a(2);
        line=fgets(ff);a=sscanf(line,'%f');
        irsx=round(a(1));irsz=round(a(2));
        line=fgets(ff);a=sscanf(line,'%f');
        nite=round(a(1));ndown=round(a(2));
        fclose(ff);
end
ff=fopen('coord.temp','r');
line=fgets(ff);a=sscanf(line,'%f');
xxmin=a(2);xxmax=a(3);zzmin=a(5);
line=fgets(ff);a=sscanf(line,'%f');
zzmax=a(1);fclose(ff);
user.xxmin=xxmin; user.xxmax=xxmax; user.zzmin=zzmin;user.zzmax=zzmax;
user.nnr=nnr;user.ns=ns;user.dx_old=dx_old;
if un==2
  user.unit1='(m)'; user.unit2='(m/sec)';
else
  user.unit1='(ft)'; user.unit2='(ft/sec)';
end %if

h=findobj('Name','Xwell Refraction Inversion Main');

if isempty(h)

figure('Position',[50 230 560 420],...
       'Name','Xwell Refraction Inversion Main',...
       'MenuBar','none','NumberTitle','off',...
       'Userdata',user);
Mainmenu6=uimenu('Label','Dynamic Schedule | ',...
                 'callback','squashoff(gcf)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=1',...
      'Callback','smooth_new(1,1)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=2',...
      'Callback','smooth_new(2,1)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=3',...
      'Callback','smooth_new(3,1)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=4',...
      'Callback','smooth_new(4,1)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=5',...
      'Callback','smooth_new(5,1)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=6',...
      'Callback','smooth_new(6,1)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=7',...
      'Callback','smooth_new(7,1)');
uimenu(Mainmenu6,'Label','Num. of smoothing (or grid) sizes=8',...
      'Callback','smooth_new(8,1)');

Mainmenu7=uimenu('Label','Show Schedule | ',...
                 'Callback','squashoff(gcf);showsch_new');

Shdata=uimenu('Label','Show Input Data | ',...
              'Callback','squashoff(gcf);shdata');

Mainmenu4=uimenu('Label','Starting Model | ',...
                 'callback','squashoff(gcf)');
uimenu(Mainmenu4,'Label','Model 1','Callback','Vmodel1');
uimenu(Mainmenu4,'Label','Model 2','Callback','Vmodel2');
uimenu(Mainmenu4,'Label','Model 3','Callback','Vmodel3');
uimenu(Mainmenu4,'Label','Design Your Own Model',...
                 'Callback','nmodel','enable','off');

runmenu=uimenu('Label','Start Inversion | ',...
               'callback','squashoff(gcf)');
uimenu(runmenu,'Label','From Beginning','Callback','run_inv(1)');
uimenu(runmenu,'Label','Continue ...','Callback','run_inv(0)');

Mainmenu5=uimenu('Label','Show Results | ',...
                 'callback','squashoff(gcf)');
vmenu=uimenu(Mainmenu5,'Label','Velocity Field');
uimenu(vmenu,'Label','Final result','Callback','vfshow1');
uimenu(vmenu,'Label','Dynamic result','Callback','vdynshow');
histmenu=uimenu(Mainmenu5,'Label','Histogram');
uimenu(histmenu,'Label','Final result','Callback','hist_final');
uimenu(histmenu,'Label','Dynamic result','Callback','hist_dyn');
uimenu(Mainmenu5,'Label','Total Traveltime Residual','Callback','res');

Synmenu=uimenu('Label','Forward Velocity Model | ',...
               'Callback','squashoff(gcf);vshow_syn');

%Mainmenu2=uimenu('Label','Help_Tomo | ');
%uimenu(Mainmenu2,'Label','About Tomography Code','Callback','abc')
%paramenu=uimenu(Mainmenu2,'Label','About Parameter');
%uimenu(Mainmenu2,'Label','About Running','Callback','help_run');
%uimenu(Mainmenu2,'Label','About Results','Callback','help_results');
%uimenu(paramenu,'Label','Iter. Num.','Callback','help_iter');
%uimenu(paramenu,'Label','Vtop','Callback','help_vtop');
%uimenu(paramenu,'Label','Vbottom','Callback','help_vbottom');
%uimenu(paramenu,'Label','Vmin','Callback','help_vmin');
%uimenu(paramenu,'Label','Vmax','Callback','help_vmax');
%uimenu(paramenu,'Label','Grid Spacing','Callback','help_gridspacing');
%uimenu(paramenu,'Label','Smooth Operator','Callback','help_smooth');

uimenu('Label','Save Figure | ','Callback','save_fig');

uimenu('Label','Close Figure| ',...
       'Callback','delete(findobj(gcbf,''Type'',''axes''))');

uimenu('Label','Zoom | ','Callback','zoom on');
uimenu('Label','Zoom off | ','Callback','zoom off');
uimenu('Label','Zoom out | ','Callback','zoom out');

uimenu('Label','Squash | ','tag','squash',...
       'Callback','squash_m(gcf,4,1,211)','enable','off');

Mainmenu3=uimenu('Label','Quit','Callback','close(gcf)');

else

figure(h);
clearstr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
          'delete(findobj(gcf,''Style'',''edit''));',...
          'delete(findobj(gcf,''Type'',''axes''));',...
          'delete(findobj(gcf,''Style'',''text''));' ];
eval(clearstr);

end %if isempty(h)
