function syn_show_v1()

%
%function syn_show_v1
%Show velocity model 1 with 2 horizontal constant velocity lays
%By Min Zhou, 10/05/99
%

%read data
a=get(findobj('Name','Forward Modeling Main'),'userdata');
unit1=a.unit1; unit2=a.unit2;

lfid1=fopen('lay2.in','r');
if lfid1~=-1
   line=fgets(lfid1); aa=sscanf(line,'%f');
    nx=aa(1);nz=aa(2);dx=aa(3);
   line=fgets(lfid1);aa=sscanf(line,'%f');
    v1=aa(1); v2=aa(2);nb=aa(3);
else 
    nx=41; nz=201; dx=2.5;
    v1=1000; v2=1500; nb=round((nz-1)/2)+1;
end
fclose(lfid1);
clearstr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
          'delete(findobj(gcf,''Style'',''edit''));',...
          'delete(findobj(gcf,''Style'',''text''));',...
          'delete(findobj(gcf,''Type'',''axes''));'];
eval(clearstr);

%fig_v01=figure('Position',[200 200 560 420]);
figure(gcf);

uicontrol('Style','pushbutton',...
          'String','Model 1: Homogeneous model with 2 flat layers.',...
          'Units','normalized',...
          'Position',[0.235714285714286 0.842857142857143 0.528571428571429 0.111904761904762]);
sss=['The model size is ',num2str((nx-1)*dx),unit1,...
     ' by ',num2str((nz-1)*dx),unit1,' with nx=',num2str(nx),...
     ', nz=',num2str(nz),', dx=',num2str(dx),unit1];
uicontrol('Style','pushbutton',...
          'String',sss,...
          'Units','normalized',...
          'Position',[ 0.1125 0.726190476190476 0.764285714285714 0.107142857142857 ]);

uicontrol('Style','pushbutton',...
          'String','Choose the model parameters:',...
          'Units','normalized',...
          'Position',[ 0.325 0.597619047619048 0.351785714285714 0.111904761904762 ]);

uicontrol('Style','pushbutton',...
          'String',['The depth of the boundary',unit1],...
          'Units','normalized',...
          'Position',[ 0.182142857142857 0.497619047619048 0.439285714285714 0.0761904761904762 ]);
sss=num2str((nz-1)*dx/2);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.658928571428571 0.497619047619048 0.142857142857143 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','boundtext');

uicontrol('Style','pushbutton',...
          'String',['Velocity of the upper layer',unit2],...
          'Units','normalized',...
          'Position',[ 0.183928571428571 0.407142857142857 0.435714285714286 0.0761904761904762 ]);
sss=num2str(v1);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.658928571428571 0.407142857142857 0.142857142857143 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','v1text');

uicontrol('Style','pushbutton',...
          'String',['Velocity of the lower layer',unit2],...
          'Units','normalized',...
          'Position',[ 0.183928571428571 0.316666666666667 0.4375 0.0738095238095238 ]);
sss=num2str(v2);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.660714285714286 0.316666666666667 0.142857142857143 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','v2text');

uicontrol('Style','Pushbutton',...
          'String','OK',...
          'Units','normalized',...
          'Position',[ 0.310714285714286 0.188095238095238 0.0892857142857143 0.0714285714285714 ],...
          'Callback','syn_modelok(1)');

closestr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
          'delete(findobj(gcf,''Style'',''edit''));'];
uicontrol('Style','Pushbutton',...
          'Units','normalized',...
          'String','Cancel',...
          'Position',[ 0.623214285714286 0.188095238095238 0.142857142857143 0.0714285714285714 ],...
          'Callback',closestr);
