function syn_show_v2()

%
%function syn_show_v2
%Show velocity model with 3 horizontal constant velocity lays
%By Min Zhou, 10/05/99
%

%read data
a=get(findobj('Name','Forward Modeling Main'),'userdata');
unit1=a.unit1; unit2=a.unit2;

lfid2=fopen('lay3.in','r');
if lfid2~=-1
   line=fgets(lfid2); aa=sscanf(line,'%f');
   nx=aa(1);nz=aa(2);dx=aa(3);
   line=fgets(lfid2);aa=sscanf(line,'%f');
   v1=aa(1); v2=aa(2); v3=aa(3); nb1=aa(4); nb2=aa(5);
   fclose(lfid2);
else 
    lfid2=fopen('lay3.in','w');
    nx=41; nz=201; dx=2.5;
    v1=1000; v2=1500; v3=2000; nb1=round(nz/3)+1; nb2=round(nz*2/3)+1;
    fprintf(lfid2,'%4.0f %4.0f %4.1f\n %10.4f %10.4f %10.4f %4.0f %4.0f\n',nx,nz,dx,v1,v2,v3,nb1,nb2);
end


figure(gcf);
clearstr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
          'delete(findobj(gcf,''Style'',''edit''));',...
          'delete(findobj(gcf,''Style'',''text''));',...
          'delete(findobj(gcf,''Type'',''axes''));'];
eval(clearstr);

uicontrol('Style','pushbutton',...
          'String','Model 2: Homogeneous model of 3 flat layers.',...
          'Units','normalized',...
          'Position',[ 0.223214285714286 0.857142857142857 0.535714285714286 0.0952380952380952 ]);
sss=['The model size is ',num2str((nx-1)*dx),unit1,...
     ' by ',num2str((nz-1)*dx),unit1,' with nx=',num2str(nx),...
     ', nz=',num2str(nz),', dx=',num2str(dx),unit1];

uicontrol('Style','pushbutton',...
          'String',sss,...
          'Units','normalized',...
          'Position',[ 0.132142857142857 0.747619047619048 0.714285714285714 0.0952380952380952 ]);

uicontrol('Style','pushbutton',...
          'String','Choose the model parameters:',...
          'Units','normalized',...
          'Position',[ 0.321428571428571 0.638095238095238 0.357142857142857 0.0952380952380952 ]);

uicontrol('Style','pushbutton','String','Layer 1:',...
          'Units','normalized',...
          'Position',[ 0.142857142857143 0.547619047619048 0.125 0.0714285714285714 ]);

uicontrol('Style','pushbutton',...
          'String',['Depth',unit1],...
          'Units','normalized',...
          'Position',[ 0.298214285714286 0.547619047619048 0.125 0.0714285714285714 ]);
sss=num2str((nb1-1)*dx);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.444642857142857 0.542857142857143 0.107142857142857 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','bound1text');

uicontrol('Style','pushbutton',...
          'String',['Velocity',unit2],...
          'Units','normalized',...
          'Position',[ 0.567857142857143 0.545238095238095 0.178571428571429 0.0714285714285714 ]);
sss=num2str(v1);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.760714285714286 0.542857142857143 0.0982142857142857 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','vel1text');

uicontrol('Style','pushbutton','String','Layer 2:',...
          'Units','normalized',...
          'Position',[ 0.142857142857143 0.471428571428571 0.125 0.0714285714285714 ]);
uicontrol('Style','pushbutton',...
          'String',['Depth',unit1],...
          'Units','normalized',...
          'Position',[ 0.298214285714286 0.473809523809524 0.125 0.0714285714285714 ]);
sss=num2str((nb2-1)*dx);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.446428571428571 0.471428571428571 0.107142857142857 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','bound2text');

uicontrol('Style','pushbutton',...
          'String',['Velocity',unit2],...
          'Units','normalized',...
          'Position',[ 0.567857142857143 0.471428571428571 0.178571428571429 0.0714285714285714 ]);
sss=num2str(v2);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.760714285714286 0.471428571428571 0.0982142857142857 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','vel2text');

uicontrol('Style','pushbutton','String','Layer 3:',...
          'Units','normalized',...
          'Position',[ 0.142857142857143 0.392857142857143 0.125 0.0714285714285714 ]);

uicontrol('Style','pushbutton',...
          'String',['Velocity',unit2],...
          'Units','normalized',...
          'Position',[ 0.567857142857143 0.395238095238095 0.178571428571429 0.0714285714285714 ]);
sss=num2str(v3);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.760714285714286 0.4 0.0982142857142857 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','vel3text');

uicontrol('Style','Pushbutton',...
          'String','OK',...
          'Units','normalized',...
          'Position',[ 0.3 0.183333333333333 0.0892857142857143 0.0714285714285714 ],...
          'Callback','syn_modelok(2)');

closestr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
          'delete(findobj(gcf,''Style'',''edit''));'];
uicontrol('Style','Pushbutton','String','Cancel',...
          'Units','normalized',...
          'Position',[ 0.607142857142857 0.185714285714286 0.142857142857143 0.0714285714285714 ],...
          'Callback',closestr);
