function syn_show_v3()

%
%function syn_show_v3
%Show velocity model with constant velocity gradient
%By Min Zhou, 10/05/99
%

%read data
a=get(findobj('Name','Forward Modeling Main'),'userdata');
unit1=a.unit1; unit2=a.unit2;

lfid1=fopen('layg.in','r');
if lfid1~=-1
   line=fgets(lfid1); aa=sscanf(line,'%f');
    nx=aa(1);nz=aa(2);dx=aa(3);
   line=fgets(lfid1);aa=sscanf(line,'%f');
    v1=aa(1); v2=aa(2);
   fclose(lfid1);
else 
    nx=41; nz=201; dx=2.5;
    v1=1000; v2=1500;
end

figure(gcf);
clearstr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
          'delete(findobj(gcf,''Style'',''edit''));',...
          'delete(findobj(gcf,''Style'',''text''));',...
          'delete(findobj(gcf,''Type'',''axes''));'];
eval(clearstr);

uicontrol('Style','pushbutton',...
          'String','Model 3: Velocity model with constant gradient',...
          'Units','normalized',...
          'Position',[ 0.226785714285714 0.842857142857143 0.535714285714286 0.119047619047619 ]);
sss=['The model size is ',num2str((nx-1)*dx),unit1,...
     ' by ',num2str((nz-1)*dx),unit1,' with nx=',num2str(nx),...
     ', nz=',num2str(nz),', dx=',num2str(dx),unit1];


uicontrol('Style','pushbutton',...
          'String',sss,...
          'Units','normalized',...
          'Position',[ 0.110714285714286 0.707142857142857 0.775 0.116666666666667 ]);

uicontrol('Style','pushbutton',...
          'String','Choose the model parameters:',...
          'Units','normalized',...
          'Position',[ 0.3125 0.571428571428572 0.357142857142857 0.119047619047619 ]);

uicontrol('Style','pushbutton',...
          'String',['Top Velocity ',unit2],...
          'Units','normalized',...
          'Position',[ 0.194642857142857 0.435714285714286 0.383928571428571 0.0833333333333333 ]);
sss=num2str(v1);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.648214285714286 0.438095238095238 0.142857142857143 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','vtoptext');

uicontrol('Style','pushbutton',...
          'String',['Bottom Velocity ',unit2],...
          'Units','normalized',...
          'Position',[ 0.196428571428571 0.333333333333333 0.380357142857143 0.0833333333333333 ]);
sss=num2str(v2);
uicontrol('Style','edit','String',sss,...
          'Units','normalized',...
          'Position',[ 0.65 0.335714285714286 0.142857142857143 0.0714285714285714 ],...
          'BackGroundColor','w',...
          'ForeGroundColor','r',...
          'Tag','vbottext');

uicontrol('Style','Pushbutton',...
          'String','OK',...
          'Units','normalized',...
          'Position',[ 0.310714285714286 0.188095238095238 0.0892857142857143 0.0714285714285714 ],...
          'Callback','syn_modelok(3)');

closestr=['delete(findobj(gcf,''Style'',''pushbutton''));',...
          'delete(findobj(gcf,''Style'',''edit''));'];
uicontrol('Style','Pushbutton','String','Cancel',...
          'Units','normalized',...
          'Position',[ 0.623214285714286 0.188095238095238 0.142857142857143 0.0714285714285714 ],...
          'Callback',closestr);
