function vshow_syn()

%
%function vshow_syn
%Show true velocity model which is used in forward modelling
%
%Interface developed by Zhaojun Liu and Jianming Seng
%Modifies to function by Min Zhou, 09/30/99
%

user=get(gcbf,'userdata');
if isempty(user)
 unit1='(m)'; unit2='(m/sec)';
else
 unit1=user.unit1; unit2=user.unit2;
end %if

figure('Position',[50 300 560 420],...
       'Name','Forward Velocity Model',...
       'NumberTitle','off');
ff=fopen('slow','r');
if ff == -1
  error('The slowness file "slow" does not exist.');
else
fclose(ff);
[s10,w10]=unix('t4 <slow.in >tmp');
load slow.mat;
v_syn=1./slow;
ff=fopen('refra-2d_syn.in','r');
line=fgets(ff);a=sscanf(line,'%f');
dx=a(3);
fclose(ff);
[nz,nx]=size(slow);
xx=[0:dx:(nx-1)*dx];zz=[0:dx:(nz-1)*dx];
imagesc(xx,zz,v_syn);
colorbar;
xlabel(['Offset ',unit1]);
ylabel(['Depth ',unit1]);
title('Velocity Model used in Forward Modelling');
text((nx-1)*dx+(nx-1)*dx/670*100,-(nz-1)*dx/20,unit2(2:length(unit2)-1));
end
uimenu('Label','Squash','Callback','squash_m(gcbf,2,1,111)');
uimenu('Label','Close','Callback','close(gcbf)');
