function [matdata]=asc2mat(datain,ntr,nsmp,smpr,st,et)
%
%[matdata]=asc2mat(datain,ntr,nsmp,smpr,st,et)
%
%This function converts an ascii matrix with rows representing samples
%an colums traces to a DSI formatted datafile
%
%ntr=number of traces
%nsmp=number of samples
%smp=sampling rate (in seconds)
%st=start time  et=end time  (in seconds)
%
%DSIsoft ver 1.0
%DSI customized VSP processing software
%
%written by Gervais Perron Feb. 1998

%Copyright (C) 1998 Seismology and Electromagnetic Section/
%Continental Geosciences Division/Geological Survey of Canada
%
%This library is free software; you can redistribute it and/or
%modify it under the terms of the GNU Library General Public
%License as published by the Free Software Foundation; either
%version 2 of the License, or (at your option) any later version.
%
%This library is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
%Library General Public License for more details.
%
%You should have received a copy of the GNU Library General Public
%License along with this library; if not, write to the
%Free Software Foundation, Inc., 59 Temple Place - Suite 330,
%Boston, MA  02111-1307, USA.
%
%DSI Consortium
%Continental Geosciences Division
%Geological Survey of Canada
%615 Booth St.
%Ottawa, Ontario
%K1A 0E9
%
%email: dsi@cg.nrcan.gc.ca

disp('[matdata]=asc2mat(datain,ntr,nsmp,smpr,st,et)');
matdata.dat{1}=datain;
matdata.th{1}=zeros(64,ntr);
matdata.th{1}(1,:)=[1:ntr];
matdata.th{1}(12,:)=ones(1,ntr).*ntr;
matdata.th{1}(13,:)=matdata.th{1}(1,:);

matdata.fh{1}=ntr;
matdata.fh{7}=nsmp;
matdata.fh{8}=smpr;
matdata.fh{9}=st;
matdata.fh{10}=et;
matdata.fh{12}=1;
matdata.fh{13}=ntr;
