function [crg]=csg2crg(csg)
%
% convert DSI format csg to crg, or crg to csg.
% By Min Zhou, 08/12/99
%
% convert file head

crg.fh=csg.fh;
crg.fh{12}=csg.fh{13};  % # of traces per record in csg;
crg.fh{13}=csg.fh{12};  % # of records in csg

% convert trace headers and data

for rec=1:crg.fh{12} %loop over records
% initialize the trace headers
crg.th{rec}=zeros(64,crg.fh{13});
  for trc=1:crg.fh{13} % loop over traces
   crg.th{rec}(1:11,trc)=csg.th{trc}(1:11,rec); %1 to 11
   crg.th{rec}(12,1)=crg.fh{13}; % number of traces in record (crg)
   crg.th{rec}(13,:)=1:crg.fh{13}; % trace number within record (crg)
   crg.th{rec}(14:64,trc)=csg.th{trc}(14:64,rec); %14 to 64
 % exchange shots and receivers, receivers will be the shots
   tmp=crg.th{rec}(29:33,trc);
   crg.th{rec}(29:33,trc)=crg.th{rec}(35:39,trc);
   crg.th{rec}(35:39,trc)=tmp;
 %read in data
   crg.dat{rec}(:,trc)=csg.dat{trc}(:,rec); % data
  end %for trc
end %for rec
