function [theta0,e,b]=inverfit(data,crit)

%
%function inverfit(data,crit)
%Find the best fit ellips for the input data point
%data:      input data point in polar coordinate system (rou, theta)
%crit:      criterion set for misfit, default crit=0.01
%By Min Zhou 11/15/99
%


if nargin<2
 crit=0.01;
end %if

theta=data(:,2);
 d=data(:,1)./10000;    % column vectors
imax=100;   % maximum of iteration times

thta=[0 0.1 d(1)]';  %initial guess of the parameters.
dm=1; % initialize adjustment
for k=1:imax
  theta0=thta(1);e=thta(2);b=thta(3);
  r=afit(theta,theta0,e,b)-d;
  if norm(r)<=crit | norm(dm)<=0.0001 | k==imax
    b=b*10000;
    break;
    return
  end %if
F=ffit(theta,theta0,e,b);
ln=F'*r;
dm=inv(F'*F+eye(size(F'*F)))*ln;
thta=thta-dm;
end %for


