function QCfit(action)
%
%By Min Zhou, 09/08/99

if ~nargin
QCmenu
return
end %if

switch action

case 'getdatasetcsg'
global datacsgname;
global datacrgname;
datacsgname=get(findobj('Tag','EditQC1'),'String');
datacrgname=get(findobj('Tag','EditQC2'),'String');

case 'getdatasetcrg'
global datacsgname;
global datacrgname;
datacsgname=get(findobj('Tag','EditQC1'),'String');
datacrgname=get(findobj('Tag','EditQC2'),'String');

case 'next'
global datacsgname;
global datacrgname;
global datasetcsg;
global datasetcrg;
global offset;
global pickcriterion;
eval('!rm transform.mat');
% transform.mat contains transformation matrix from 3-D to 2-D coordinates.

offset=str2num(get(findobj('Tag','EditQC3'),'String'));
pickcriterion=str2num(get(findobj('Tag','EditQC4'),'String'));
datacsgname=get(findobj('Tag','EditQC1'),'String');
datacrgname=get(findobj('Tag','EditQC2'),'String');
G=findobj('name','QCfitplot');
if isempty(G)
 QCfitplot;
else
  figure(G)
end
if ~isempty(datacsgname)
datasetcsg=get(findobj('Tag','EditQC1'),'userdata');
anaxes1=findobj('Tag','QCfitplotAxes1');
subplot(anaxes1);
s=configplot(datasetcsg);
set(gca,'Tag','QCfitplotAxes1'); 
% axes 'Nextplot'='replace'. Everything but position was reset to default 
% after new plot, so it is needed to give an identity to it.
end %if
if ~isempty(datacrgname)
datasetcrg=get(findobj('Tag','EditQC2'),'userdata');
anaxes2=findobj('Tag','QCfitplotAxes2');
subplot(anaxes2);
s=configplot(datasetcrg);
set(gca,'Tag','QCfitplotAxes2');
end %if

case 'quitall'
global datacsgname;
global datacrgname;
nfig=findobj('type','figure');
   if length(nfig)==1
      close all
      return
   end %if
   cfig=findobj(nfig,'Name','QCfitplot');
   close(findobj(nfig,'Name','QC Menu'));
   if ~isempty(cfig)
     close(cfig);
     QCquit;
     if ~isempty(datacsgname)
     set(findobj('Tag','EditsaveQC1'),'String',[datacsgname 'QC']);
     end
     if ~isempty(datacrgname)
     set(findobj('Tag','EditsaveQC2'),'String',[datacrgname 'QC']);
     end
   end

case 'rotate'
rotate3d on;

case 'QC'
global datacsgname;
global datacrgname;
global datasetcsg;
global datasetcrg;
global offset;
global pickcriterion;

if ~isempty(datacsgname) & ~isempty(datacrgname)
[datasetcsg datasetcrg]=zmqc(datasetcsg,datasetcrg,pickcriterion,offset);
else
error('Lack of either csg or crg, can not run QC!');
end
[csg]=qcplot(datasetcsg);
anaxes1=findobj('Tag','QCfitplotAxes1');
subplot(anaxes1);
imagesc(csg); axis('xy'); colorbar; box on;
xlabel('Geophone No.');ylabel('Shot No.');
title('CSG pickquality map: 1 good, 2 fair, 3 not good');
set(gca,'Tag','QCfitplotAxes1');

[crg]=qcplot(datasetcrg);
anaxes2=findobj('Tag','QCfitplotAxes2');
subplot(anaxes2);
imagesc(crg'); axis('xy'); colorbar; box on;
xlabel('Geophone No.');ylabel('Shot No.');
title('CRG pickquality map: 1 good, 2 fair, 3 not good');
set(gca,'Tag','QCfitplotAxes2');

case 'anistropic'
global datacsgname;
global datacrgname;
global datasetcsg;
global datasetcrg;
global offset;
global datacsg_cor;
global datacrg_cor;

h1=findobj('Tag','Editslice');
h2=findobj('Tag','Editvel_angle');
nsec=str2num(get(h1,'String'));
corang=str2num(get(h2,'String'));
if ~isempty(datacsgname)
anaxes1=findobj('Tag','QCfitplotAxes1');
subplot(anaxes1);
[datacsg_cor]=anisocor(datasetcsg,offset,nsec,corang);
xlabel({'Anistropic Correction for CSG';...
        'Radial: Average velocity';...
        'Angular: Angle between Horizontal and Shot-Geophone lines'});
set(gca,'Tag','QCfitplotAxes1');
end
if ~isempty(datacrgname)
anaxes2=findobj('Tag','QCfitplotAxes2');
subplot(anaxes2);
[datacrg_cor]=anisocor(datasetcrg,offset,nsec,corang);
xlabel({'Anistropic Correction for CRG';...
        'Radial: Average velocity';...
        'Angular: Angle between Horizontal and Shot-Geophone lines'});
set(gca,'Tag','QCfitplotAxes2');
end

case 'fit2d'
global datacsgname;
global datacrgname;
global datasetcsg;
global datasetcrg;
global offset;

if ~isempty(datacsgname)
[datasetcsg,ns,nr]=fit2d(datasetcsg,1,offset);
anaxes1=findobj('Tag','QCfitplotAxes1');
subplot(anaxes1);
plot(ns(:,1),ns(:,2),'+r',nr(:,1),nr(:,2),'ob');
xlabel('X'); ylabel('Y'); grid on;
title('2D configuration of shots and geophones in CSG gather');
legend('Shots','Geophones',0);
set(gca,'Tag','QCfitplotAxes1');
end
if ~isempty(datacrgname)
anaxes2=findobj('Tag','QCfitplotAxes2');
subplot(anaxes2);
[datasetcrg,ns,nr]=fit2d(datasetcrg,1,offset);
plot(ns(:,1),ns(:,2),'ob',nr(:,1),nr(:,2),'+r');
xlabel('X'); ylabel('Y'); grid on;
title('2D configuration of shots and geophones in CRG gather');
legend('Shots','Geophones',0);
set(gca,'Tag','QCfitplotAxes2');
end
 
case 'coord.temp'
global datacsgname;
global datacrgname;
global datasetcsg;
global datasetcrg;
global offset;

if ~isempty(datacsgname) 
 ss=who('global','datacsg_cor');
 if ~isempty(ss)
   global datacsg_cor;
   datain=datacsg_cor;
 else
   datain=datasetcsg;
 end
 
else

 ss=who('global','datacrg_cor');
 if ~isempty(ss)
   global datacrg_cor;
   datain=datacrg_cor;
 else 
   datain=datasetcrg; 
 end
end  % if
con2d(datain,1,offset);

case 'helpQC'

tt={ ' ';'Quality Control of the picking';...
     ' ';...
    ['    The difference of first arrival pickings between CSG and ',...
     'CRG for each shot-receiver pair is served as the criterion for ',...
     'the picking quality of the travel time for that shot-receiver pair.'];...
     '      rank=1 (good)    dt < criterion(given by user)';...
     '      rank=2 (fair)    criterion < dt < 2*criterion';...
     '      rank=3 (poor)    2*criterion < dt';...
     ' ';... 
     'Note: The data with pickings from both CSG and CRG are needed for QC';...
     ' ';'See M-file: zmqc.m'};
h=msgbox(tt,'QC help');
set(findobj(h,'Style','text'),'backgroundcolor',[1 1 1]);

case 'helpfit2d'

tt={ ' ';'Fit the shot-receiver to a 2-D Plane';...
     ' ';...
    ['    Using least square fitting, the shot-geophones are put ',...
     'to a 2-D plane, pickings are then corrected correspondingly. ',...
     'This plane is expressed in a 2-D coordinate system, the 3-D ',...
     'coordinates of the origin point of this 2-D coordinate system ',...
     'and the rotation matrix for the transformation are save in ',...
     '''transform.mat.'''];...
     ' ';...
     'See M-file: fit2d.m'};
h=msgbox(tt,'Fit to a 2-D plane');
set(findobj(h,'Style','text'),'backgroundcolor',[1 1 1]); 

case 'helpanisocor'

tt={' ';'Doing anisotropy correction to the traveltimes';...
    ' ';['    First arrivals are corrected to a homogenious ',...
    'medium with the same shot-receiver configuration.'];' ';...
   ['    1) The average velocity in each shot-receiver line and the ',...
    'angle between this line and horizontal (rho,theta) are ',...
    'calculated in polar coordinate system.'];' ';...
   ['    2) Separating (rho,theta) into user chosed number of sections ',...
    'and calculate the mean values of average velocites and angles ',...
    'in each section(rho1,theta1).'];' ';...
    '    3) (rho1,theta1) are used to find best fit ellipse.';' ';...
   ['    4) Reference homogenuous velocity is calculated by user chosed ',...
    'angle in best fit ellipse. 0: horizontal; 90: vertical.'];' ';...
   '    5) Correcting the traveltimes with respect to the reference velocity.';...
   ' ';['Small window after button marked ''slice #'' allows user ',...
   'input number of sections to separate (rho,theta) in step 2)'];...
   ' ';['Small window after button marked ''Vel_angle'' allows ',...
   'user to input the angle w.r.t. horizontal direction in best fit '...
   'ellipse discribed in 4)'];...
   ' ';'See M-file:  anisocor.m'};
h=msgbox(tt,'Anisotropy Correction');
set(findobj(h,'Style','text'),'backgroundcolor',[1 1 1]);
 
case 'helpcon2d'

tt={' ';'Prepare ''coord.temp'' for inversion part';...
    ' ';['    ''coord.temp'' is a main input file of inversion Fortran ',...
    'code. It contains information about the 2-D shot-geophone ',...
    'coordinates and traveltime for each shot-geophone pair(raypath).'];...
    ' ';['    Since ''coord.temp'' includes only 2-D coordinates ',...
    'information, this program will call ''fit2d.m'' if it has not ',...
    'run in current interface.'];...
    ' ';'See M-file:  con2d.m'};
h=msgbox(tt,'Save ''coord.temp''');
set(findobj(h,'Style','text'),'backgroundcolor',[1 1 1]);

case 'menu'
H=findobj('name','QC Menu');
figure(H);

case 'quit'
global datacsgname;
global datacrgname;

 close(gcbf);
 QCquit;
 if ~isempty(datacsgname)
 set(findobj('Tag','EditsaveQC1'),'String',[datacsgname 'QC']);
 end
 if ~isempty(datacrgname)
 set(findobj('Tag','EditsaveQC2'),'String',[datacrgname 'QC']);
 end
end %switch

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function [dataout]=qcplot(datain)
%
% Read pickquality and put them in output matrix
% Row represents shots and column geophones

nrec=datain.fh{12};
ntrc=datain.fh{13};
dataout=zeros(nrec,ntrc);
for i=1:nrec
 dataout(i,:)=datain.th{i}(11,:);
end %for
