function [s]=configplot(data)

%
% This function plot the 3D locations of shots & receivers
% read coordinates from data
% By Min Zhou, 09/06/99

ntr=data.fh{1}; %Total number of traces in file
nrec=data.fh{12}; % Number of records
% Initialize the arrays for shot and receiver locations
sx=[];sy=[];sz=[];
rx=[];ry=[];rz=[];
for rec=1:nrec %loop over records
 % shot location
   sx=[sx data.th{rec}(30,:)];
   sy=[sy data.th{rec}(32,:)];
   sz=[sz data.th{rec}(33,:)];
 % receiver location

   rx=[rx data.th{rec}(36,:)];
   ry=[ry data.th{rec}(38,:)];
   rz=[rz data.th{rec}(39,:)];
end %for

plot3(sx,sy,sz,'+r',rx,ry,rz,'ob');
xlabel('X'); ylabel('Y'); zlabel('Z');
axis tight; grid on;box on;
title('Shot-Geophone configuration');
%legend('+r','Shots','ob','Geophones');
legend('Shots','Geophones',0);
s=1;
